#Set Duration
execute if entity @s[tag=!kazzxv.aw_atk_setup] run scoreboard players set #xv_abyss_atk_duration kazzxv.aw_atk 110

#Tags Suspects for Attack
execute if entity @s[tag=!kazzxv.aw_atk_setup] as @e[type=#kazzmon.extravanilla:abyss_watcher_targets_no_player, distance=..128] run function kazzmon.extravanilla:mobs/custom_bosses/abyss_watcher/main/attacks/setup_target
execute if entity @s[tag=!kazzxv.aw_atk_setup] as @a[distance=..128, gamemode=!creative, gamemode=!spectator] run function kazzmon.extravanilla:mobs/custom_bosses/abyss_watcher/main/attacks/setup_target

#Tags for Setup
tag @s[tag=!kazzxv.aw_atk_setup] add kazzxv.aw_atk_setup

#Attack
  #Bull Rush
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 11.. facing entity @e[tag=kazzxv.aw_target,sort=nearest,limit=1] feet run tp @s ^ ^ ^2
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 11.. if entity @e[tag=kazzxv.aw_target,sort=nearest,limit=1, distance=..1] run scoreboard players set #xv_abyss_atk_duration kazzxv.aw_atk 10
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 11.. unless entity @e[tag=kazzxv.aw_target] run scoreboard players set #xv_abyss_atk_duration kazzxv.aw_atk 10
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 11.. run particle minecraft:sonic_boom ~ ~1 ~ 0 0 0 0 1 force
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 11.. run particle minecraft:sculk_charge_pop ~ ~1 ~ 0 0 0 0.2 10 force
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 11.. run playsound minecraft:entity.warden.sonic_boom master @a ~ ~ ~ 1 1
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 11.. as @e[type=#kazzmon.extravanilla:mobs,type=!warden,distance=..3] run damage @s 24 kazzmon.extravanilla:magic

  #Explosion
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 1..10 run particle minecraft:sonic_boom ~ ~1 ~ 1 1 1 0 10 force
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 1..10 run playsound minecraft:entity.warden.sonic_boom master @a ~ ~ ~ 1 1.5
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 1..10 as @e[type=#kazzmon.extravanilla:mobs,type=!warden,distance=..5] run damage @s 4.8 kazzmon.extravanilla:magic_no_cooldown

#Tick Down Duration
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 1.. run scoreboard players remove #xv_abyss_atk_duration kazzxv.aw_atk 1

#Finished Attack
  #Set Cooldown
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 0 run scoreboard players set @s kazzxv.aw_cd 160

  #Removes Tags
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 0 run tag @s remove kazzxv.aw_attacking
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 0 run tag @s remove kazzxv.aw_atk_setup
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 0 run tag @e remove kazzxv.aw_target

#Run when in Stagger Rush
execute if entity @s[tag=kazzxv.aw_stagger_rush] if score #xv_abyss_atk_duration kazzxv.aw_atk matches 0 run tag @s add kazzxv.aw_attacking
execute if entity @s[tag=kazzxv.aw_stagger_rush] if score #xv_abyss_atk_duration kazzxv.aw_atk matches 0 run scoreboard players set @s kazzxv.aw_cd 30
execute if entity @s[tag=kazzxv.aw_stagger_rush] if score #xv_abyss_atk_duration kazzxv.aw_atk matches 0 run scoreboard players add #xv_abyss_stagger_phase kazzxv.aw_stgr 1