#Sync Health
execute store result score @s kazzxv.aw_health run data get entity @s Health

#Detect if it has Suspects
execute store success score #xv_abyss_angry kazzxv.aw_atk run data get entity @s anger.suspects[0].uuid

#Sync Suspects
execute store result score #xv_abyss_suspect_0 kazzxv.aw_uuid run data get entity @s anger.suspects[0].uuid[0]
execute store result score #xv_abyss_suspect_1 kazzxv.aw_uuid run data get entity @s anger.suspects[0].uuid[1]
execute store result score #xv_abyss_suspect_2 kazzxv.aw_uuid run data get entity @s anger.suspects[0].uuid[2]
execute store result score #xv_abyss_suspect_3 kazzxv.aw_uuid run data get entity @s anger.suspects[0].uuid[3]

#Increases Attack Tick to determine Attack Mode
scoreboard players add @s[tag=!kazzxv.aw_attacking] kazzxv.aw_atk 1
execute if score @s kazzxv.aw_atk matches 5.. run scoreboard players set @s kazzxv.aw_atk 0

#Cooldown Decrease
scoreboard players remove @s[scores={kazzxv.aw_cd=1..}] kazzxv.aw_cd 1

#Updates HurtTime Scoreboard
execute store result score @s kazzxv.aw_hurt run data get entity @s HurtTime

#Sound when Hurt
execute if score @s kazzxv.aw_hurt matches 10 run playsound minecraft:block.sculk_shrieker.shriek ambient @a ~ ~ ~ 1 2
execute if score @s kazzxv.aw_hurt matches 10 run playsound minecraft:block.sculk_shrieker.shriek ambient @a ~ ~ ~ 1 1.6

#Particles when Hurt
execute if score @s kazzxv.aw_hurt matches 10 run particle dust 1 0 0 1 ~ ~1 ~ 0.5 0.5 0.5 0 50 force
execute if score @s kazzxv.aw_hurt matches 10 run particle minecraft:sculk_soul ~ ~1 ~ 0.25 0.25 0.25 0.02 50 force

#Remove 1 Armor Piece when Hurt and Less than 40 Stagger Points
execute if score @s kazzxv.aw_hurt matches 10 if score @s kazzxv.aw_stgr matches ..40 run kill @e[type=armor_stand,tag=kazzxv.aw_armor,limit=1]

#Updates Stagger Points when Hurt
scoreboard players remove @s[scores={kazzxv.aw_stgr=1..},tag=!kazzxv.aw_half_health] kazzxv.aw_stgr 1
execute if score @s kazzxv.aw_hurt matches 10 run scoreboard players add @s[tag=!kazzxv.aw_stagger_rush] kazzxv.aw_stgr 20

#Particles if has Stagger Points
execute if score @s kazzxv.aw_stgr matches 1.. run particle minecraft:angry_villager ~ ~2 ~ 0.4 0.4 0.4 0 1 force

#Updates No Challenger Scoreboard
execute if entity @e[type=player,distance=..64] run scoreboard players set @s kazzxv.aw_foes 1200
execute unless entity @e[type=player,distance=..64] run scoreboard players remove @s[scores={kazzxv.aw_foes=1..}] kazzxv.aw_foes 1

#Glows when Player is too far away
execute if entity @e[type=player,distance=..8] unless entity @s[tag=kazzxv.aw_dormant] run effect clear @s glowing
execute unless entity @e[type=player,distance=..8] unless entity @s[tag=kazzxv.aw_dormant] run effect give @s glowing 2 0 true

#Glows when Dormant
execute if entity @s[tag=kazzxv.aw_dormant] run effect give @s glowing 2 0 true

#Syncs Dormant State
execute if entity @s[tag=kazzxv.aw_dormant,scores={kazzxv.aw_cd=1..}] run data merge entity @s {NoAI:1b}
execute if entity @s[tag=kazzxv.aw_dormant,scores={kazzxv.aw_cd=0}] run data merge entity @s {NoAI:0b}
execute if entity @s[tag=kazzxv.aw_dormant,scores={kazzxv.aw_cd=0}] run tag @s remove kazzxv.aw_dormant