#Set Mode
scoreboard players add @s kazzxv.mode 1
scoreboard players set @s kazzxv.use_relic 0

#Tags for using it with Mainhand or Offhand
execute if entity @s[nbt={Inventory:[{id:"minecraft:warped_fungus_on_a_stick",Slot:-106b,tag:{blessedstaff:1b}}]}] run tag @s add kazzxv.blessed_staff_offhand
execute if entity @s[nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{blessedstaff:1b}}}] run tag @s remove kazzxv.blessed_staff_offhand

#Effect
execute as @s[scores={kazzxv.mode=1}] run function kazzmon.extravanilla:relics/blessed_staff/levitate
execute as @s[scores={kazzxv.mode=2}] run function kazzmon.extravanilla:relics/blessed_staff/midair
execute as @s[scores={kazzxv.mode=3}] run function kazzmon.extravanilla:relics/blessed_staff/slow_fall
execute as @s[scores={kazzxv.mode=4}] run function kazzmon.extravanilla:relics/blessed_staff/clear

#Reset
execute as @s[scores={kazzxv.mode=5..}] run scoreboard players reset @s kazzxv.mode
execute as @s[scores={kazzxv.mode=..-1}] run scoreboard players reset @s kazzxv.mode

#Durability Break
execute unless entity @s[gamemode=creative] if entity @s[tag=!kazzxv.blessed_staff_offhand] run function kazzmon.extravanilla:relics/blessed_staff/durability_mainhand
execute unless entity @s[gamemode=creative] run function kazzmon.extravanilla:relics/blessed_staff/durability_offhand

execute if entity @s[nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{blessedstaff:1b,Damage:100}}}] run function kazzmon.extravanilla:relics/blessed_staff/break_mainhand
execute if entity @s[nbt={Inventory:[{id:"minecraft:warped_fungus_on_a_stick",Slot:-106b,tag:{blessedstaff:1b,Damage:100}}]}] run function kazzmon.extravanilla:relics/blessed_staff/break_offhand

#Removes Tags
tag @s[tag=kazzxv.blessed_staff_offhand] remove kazzxv.blessed_staff_offhand