#Chesks if ground is Water and Tags accordingly
execute if block ~ ~ ~ water run tag @s add kazzxv.null_effect

#Apply Effects
execute if entity @s[tag=!kazzxv.null_effect] as @e[type=#kazzmon.extravanilla:mobs_friendlies,distance=..6] at @s run function kazzmon.extravanilla:relics/pouch_of_stardust/apply_effect

#Special Crafting
  #Xenoblade
execute if entity @s[tag=!kazzxv.null_effect,tag=!kazzxv.special_crafted] if entity @e[type=item,nbt={Item:{id:"minecraft:netherite_sword",Count:1b,tag:{voidsword:1b}},OnGround:1b},distance=..1] if entity @e[type=item,nbt={Item:{id:"minecraft:netherite_sword",Count:1b,tag:{extinguir:1b}},OnGround:1b},distance=..1] if entity @e[type=item,nbt={Item:{id:"minecraft:stone_sword",Count:1b,tag:{vilethorn:1b}},OnGround:1b},distance=..1] at @s run function kazzmon.extravanilla:relics/pouch_of_stardust/special_crafting/xenoblade
  #Novaspark
execute if entity @s[tag=!kazzxv.null_effect,tag=!kazzxv.special_crafted] if entity @e[type=item,nbt={Item:{id:"minecraft:warped_fungus_on_a_stick",Count:1b,tag:{lightstaff:1b}},OnGround:1b},distance=..1] if entity @e[type=item,nbt={Item:{id:"minecraft:warped_fungus_on_a_stick",Count:1b,tag:{spectre:1b}},OnGround:1b},distance=..1] if entity @e[type=item,nbt={Item:{id:"minecraft:crossbow",Count:1b,tag:{wyvernwrath:1b}},OnGround:1b},distance=..1] at @s run function kazzmon.extravanilla:relics/pouch_of_stardust/special_crafting/novaspark
  #Celestial Pathfinder
execute if entity @s[tag=!kazzxv.null_effect,tag=!kazzxv.special_crafted] if entity @e[type=item,nbt={Item:{id:"minecraft:warped_fungus_on_a_stick",Count:1b,tag:{pathfinder:1b,findAbyss:1}},OnGround:1b},distance=..1] at @s run function kazzmon.extravanilla:relics/pouch_of_stardust/special_crafting/celestial_pathfinder
  #Abyssal Pathfinder
execute if entity @s[tag=!kazzxv.null_effect,tag=!kazzxv.special_crafted] if entity @e[type=item,nbt={Item:{id:"minecraft:warped_fungus_on_a_stick",Count:1b,tag:{pathfinder:1b,findAbyss:0}},OnGround:1b},distance=..1] if entity @e[type=item,nbt={Item:{id:"minecraft:echo_shard",Count:1b,tag:{echocrystal:1b}},OnGround:1b},distance=..1] at @s run function kazzmon.extravanilla:relics/pouch_of_stardust/special_crafting/abyssal_pathfinder
  #Nebula Axe
execute if entity @s[tag=!kazzxv.null_effect,tag=!kazzxv.special_crafted] if entity @e[type=item,nbt={Item:{id:"minecraft:netherite_axe",Count:1b,tag:{nebula:1b}},OnGround:1b},distance=..1] if entity @e[type=item,nbt={Item:{id:"minecraft:nether_star",Count:1b},OnGround:1b},distance=..1] at @s run function kazzmon.extravanilla:relics/pouch_of_stardust/special_crafting/nebula_axe
  #Abyssal Scale Armor
    #Boots
execute if entity @s[tag=!kazzxv.null_effect,tag=!kazzxv.special_crafted] if entity @e[type=item,nbt={Item:{id:"minecraft:leather_boots",tag:{dragonscale:1b}},OnGround:1b},distance=..1] if entity @e[type=item,nbt={Item:{id:"minecraft:nether_star",Count:1b,tag:{abyss:1b}},OnGround:1b},distance=..1] at @s run function kazzmon.extravanilla:relics/pouch_of_stardust/special_crafting/abyssal_scale_armor/boots
    #Chestplate
execute if entity @s[tag=!kazzxv.null_effect,tag=!kazzxv.special_crafted] if entity @e[type=item,nbt={Item:{id:"minecraft:leather_chestplate",tag:{dragonscale:1b}},OnGround:1b},distance=..1] if entity @e[type=item,nbt={Item:{id:"minecraft:nether_star",Count:1b,tag:{abyss:1b}},OnGround:1b},distance=..1] at @s run function kazzmon.extravanilla:relics/pouch_of_stardust/special_crafting/abyssal_scale_armor/chestplate
    #Helmet
execute if entity @s[tag=!kazzxv.null_effect,tag=!kazzxv.special_crafted] if entity @e[type=item,nbt={Item:{id:"minecraft:leather_helmet",tag:{dragonscale:1b}},OnGround:1b},distance=..1] if entity @e[type=item,nbt={Item:{id:"minecraft:nether_star",Count:1b,tag:{abyss:1b}},OnGround:1b},distance=..1] at @s run function kazzmon.extravanilla:relics/pouch_of_stardust/special_crafting/abyssal_scale_armor/helmet
    #Leggings
execute if entity @s[tag=!kazzxv.null_effect,tag=!kazzxv.special_crafted] if entity @e[type=item,nbt={Item:{id:"minecraft:leather_leggings",tag:{dragonscale:1b}},OnGround:1b},distance=..1] if entity @e[type=item,nbt={Item:{id:"minecraft:nether_star",Count:1b,tag:{abyss:1b}},OnGround:1b},distance=..1] at @s run function kazzmon.extravanilla:relics/pouch_of_stardust/special_crafting/abyssal_scale_armor/leggings

#Glows nearby Astral Mobs within 64 Blocks
execute if entity @s[tag=!kazzxv.null_effect] run effect give @e[tag=kazzxv.astral,distance=..64] minecraft:glowing 60

#Sounds if effect has been applied
execute if entity @s[tag=!kazzxv.null_effect] run function kazzmon.extravanilla:relics/pouch_of_stardust/sounds

#Particles if effect has been applied
execute if entity @s[tag=!kazzxv.null_effect] run function kazzmon.extravanilla:relics/pouch_of_stardust/particles

#Kills if effect has been applied
execute if entity @s[tag=!kazzxv.null_effect] run kill @s

#Removes Tags if Unused
tag @s[tag=kazzxv.null_effect] remove kazzxv.null_effect