#Set Duration
execute if entity @s[tag=!kazzxv.lr_atk_setup] run scoreboard players set #xv_witherlich_atk_duration kazzxv.lr_atk 109
execute if entity @s[tag=!kazzxv.lr_atk_setup] run scoreboard players set #xv_witherlich_atk_cd kazzxv.lr_atk 0

#Sound
execute if entity @s[tag=!kazzxv.lr_atk_setup] run playsound entity.evoker.prepare_attack ambient @a ~ ~ ~ 6 1.5
execute if entity @s[tag=!kazzxv.lr_atk_setup] run playsound entity.evoker.prepare_attack ambient @a ~ ~ ~ 6 1.7
execute if entity @s[tag=!kazzxv.lr_atk_setup] run playsound entity.skeleton_horse.death ambient @a ~ ~ ~ 6 1.8

#Picks Target
execute if entity @s[tag=!kazzxv.lr_atk_setup] run tag @a[distance=..64,sort=random,limit=1] add kazzxv.lr_atk_target

#Tags for Setup
tag @s[tag=!kazzxv.lr_atk_setup] add kazzxv.lr_atk_setup

#Attack
  #Beam - Summon Target
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 79 run function kazzmon.extravanilla:mobs/custom_bosses/lich_riders/withered_lich/attacks/lightning_pulse/ray/summon_target
  #Beam - Outline
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 68..78 if score #xv_witherlich_atk_cd kazzxv.lr_atk matches 0 anchored eyes facing entity @e[type=area_effect_cloud,tag=kazzxv.witherlich_atk_target,sort=nearest,limit=1] feet positioned ^ ^ ^ run function kazzmon.extravanilla:mobs/custom_bosses/lich_riders/withered_lich/attacks/lightning_pulse/ray/outline/start
  #Beam - Actual
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 67 anchored eyes facing entity @e[type=area_effect_cloud,tag=kazzxv.witherlich_atk_target,sort=nearest,limit=1] feet positioned ^ ^ ^ run function kazzmon.extravanilla:mobs/custom_bosses/lich_riders/withered_lich/attacks/lightning_pulse/ray/actual/start

  #Beam - Summon Target
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 57 run function kazzmon.extravanilla:mobs/custom_bosses/lich_riders/withered_lich/attacks/lightning_pulse/ray/summon_target
  #Beam - Outline
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 46..56 if score #xv_witherlich_atk_cd kazzxv.lr_atk matches 0 anchored eyes facing entity @e[type=area_effect_cloud,tag=kazzxv.witherlich_atk_target,sort=nearest,limit=1] feet positioned ^ ^ ^ run function kazzmon.extravanilla:mobs/custom_bosses/lich_riders/withered_lich/attacks/lightning_pulse/ray/outline/start
  #Beam - Actual
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 45 anchored eyes facing entity @e[type=area_effect_cloud,tag=kazzxv.witherlich_atk_target,sort=nearest,limit=1] feet positioned ^ ^ ^ run function kazzmon.extravanilla:mobs/custom_bosses/lich_riders/withered_lich/attacks/lightning_pulse/ray/actual/start

  #Beam - Summon Target
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 35 run function kazzmon.extravanilla:mobs/custom_bosses/lich_riders/withered_lich/attacks/lightning_pulse/ray/summon_target
  #Beam - Outline
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 24..34 if score #xv_witherlich_atk_cd kazzxv.lr_atk matches 0 anchored eyes facing entity @e[type=area_effect_cloud,tag=kazzxv.witherlich_atk_target,sort=nearest,limit=1] feet positioned ^ ^ ^ run function kazzmon.extravanilla:mobs/custom_bosses/lich_riders/withered_lich/attacks/lightning_pulse/ray/outline/start
  #Beam - Actual
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 23 anchored eyes facing entity @e[type=area_effect_cloud,tag=kazzxv.witherlich_atk_target,sort=nearest,limit=1] feet positioned ^ ^ ^ run function kazzmon.extravanilla:mobs/custom_bosses/lich_riders/withered_lich/attacks/lightning_pulse/ray/actual/start

  #Beam - Summon Target
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 13 run function kazzmon.extravanilla:mobs/custom_bosses/lich_riders/withered_lich/attacks/lightning_pulse/ray/summon_target
  #Beam - Outline
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 2..12 if score #xv_witherlich_atk_cd kazzxv.lr_atk matches 0 anchored eyes facing entity @e[type=area_effect_cloud,tag=kazzxv.witherlich_atk_target,sort=nearest,limit=1] feet positioned ^ ^ ^ run function kazzmon.extravanilla:mobs/custom_bosses/lich_riders/withered_lich/attacks/lightning_pulse/ray/outline/start
  #Beam - Actual
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 1 anchored eyes facing entity @e[type=area_effect_cloud,tag=kazzxv.witherlich_atk_target,sort=nearest,limit=1] feet positioned ^ ^ ^ run function kazzmon.extravanilla:mobs/custom_bosses/lich_riders/withered_lich/attacks/lightning_pulse/ray/actual/start

#Tick Down Duration and Cooldown
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 1.. run scoreboard players remove #xv_witherlich_atk_duration kazzxv.lr_atk 1
execute if score #xv_witherlich_atk_cd kazzxv.lr_atk matches 1.. run scoreboard players remove #xv_witherlich_atk_cd kazzxv.lr_atk 1

#Finished Attack
  #Set Cooldown
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 0 run scoreboard players set @s kazzxv.lr_cd 120
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 0 if predicate kazzmon.extravanilla:25_percent run scoreboard players add @s kazzxv.lr_cd 25
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 0 if predicate kazzmon.extravanilla:25_percent run scoreboard players add @s kazzxv.lr_cd 25
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 0 if predicate kazzmon.extravanilla:25_percent run scoreboard players add @s kazzxv.lr_cd 25
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 0 if predicate kazzmon.extravanilla:25_percent run scoreboard players add @s kazzxv.lr_cd 25

  #Removes Tags
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 0 run tag @s remove kazzxv.lr_attacking
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 0 run tag @s remove kazzxv.lr_atk_setup
execute if score #xv_witherlich_atk_duration kazzxv.lr_atk matches 0 run tag @a[tag=kazzxv.lr_atk_target] remove kazzxv.lr_atk_target